<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.config("JSP LogFlagsEdit: start")}

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftLogFlagsEdit.jspf" %>
                </div>
                <div class="divright">
                    
                    <p class="tdpause">System logging configuration:</p>                   
                    
                    <c:url var="ok_url"  value="/regio/logflagsedit/ok" />
                    <c:url var="cancel_url"  value="/regio/logflagsedit/cancel" />
                    <form:form action="${ok_url}" method="post" modelAttribute="wlf">
                        
                        <table>
                            <tr>
                                <td class="tdlabel tdpause">System basics</td>
                                <td><form:checkbox path="logident"/> Central component</td>
                                <td><form:checkbox path="loginit"/> Initial system setup</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Message Converter</td>
                                <td><form:checkbox path="logmsgcnvrun"/> Run</td>
                                <td><form:checkbox path="logmsgcnvdebugr"/> Debug run</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><form:checkbox path="logmsgcnvconf"/> Configuration</td>
                                <td><form:checkbox path="logmsgcnvdebugc"/> Debug configuration</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">External Pot Router</td>
                                <td><form:checkbox path="logextpotrtrrun"/> Run</td>
                                <td><form:checkbox path="logextpotrtrdebugr"/> Debug run</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><form:checkbox path="logextpotrtrconf"/> Configuration</td>
                                <td><form:checkbox path="logextpotrtrdebugc"/> Debug configuration</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Ball Router</td>
                                <td><form:checkbox path="logballrtrrun"/> Run</td>
                                <td><form:checkbox path="logballrtrdebugr"/> Debug run</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><form:checkbox path="logballrtrconf"/> Configuration</td>
                                <td><form:checkbox path="logballrtrdebugc"/> Debug configuration</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Pot Converter</td>
                                <td><form:checkbox path="logpotcvtrun"/> Run</td>
                                <td><form:checkbox path="logpotcvtdebugr"/> Debug run</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><form:checkbox path="logpotcvtconf"/> Configuration</td>
                                <td><form:checkbox path="logpotcvtdebugc"/> Debug configuration</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Stamper</td>
                                <td><form:checkbox path="logstamperrun"/> Run</td>
                                <td><form:checkbox path="logstamperdebugr"/> Debug run</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><form:checkbox path="logstamperconf"/> Configuration</td>
                                <td><form:checkbox path="logstamperdebugc"/> Debug configuration</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Worker</td>
                                <td><form:checkbox path="logworkerrun"/> Run</td>
                                <td><form:checkbox path="logworkerdebugr"/> Debug run</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><form:checkbox path="logworkerconf"/> Configuration</td>
                                <td><form:checkbox path="logworkerdebugc"/> Debug configuration</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Processor Runner</td>
                                <td><form:checkbox path="logprcrunner"/> General</td>
                                <td><form:checkbox path="logprcrunnerw"/> Warnings</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Scheduler</td>
                                <td><form:checkbox path="logscheduler"/> General</td>
                                <td></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">System self-repair</td>
                                <td><form:checkbox path="logrepair"/> General</td>
                                <td></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Watchers</td>
                                <td><form:checkbox path="logwatchrun"/> Run</td>
                                <td><form:checkbox path="logwatchconf"/> Configuration</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Trans-Lock-Manager</td>
                                <td><form:checkbox path="logqueueconf"/> Configuration</td>
                                <td><form:checkbox path="logqueuedb"/> Database</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><form:checkbox path="logqueuedebugpush"/> Debug push</td>
                                <td><form:checkbox path="logqueuedebugpull"/> Debug pull</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><form:checkbox path="logqueuedebuglock"/> Debug lock</td>
                                <td><form:checkbox path="logpotlock"/> Pot locker</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Database</td>
                                <td><form:checkbox path="logerconf"/> Configuration</td>
                                <td><form:checkbox path="logerdb"/> Communication</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><form:checkbox path="logerdebug"/> Debug</td>
                                <td></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Active Reader</td>
                                <td><form:checkbox path="logarrunner"/> Runtime</td>
                                <td></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Internal Messaging</td>
                                <td><form:checkbox path="logimsgsnd"/> Send</td>
                                <td><form:checkbox path="logimsgrcv"/> Receive</td>
                            </tr>

                            <tr>
                                <td class="tdlabel tdpause">System Configuration</td>
                                <td><form:checkbox path="logconfig"/> Configuration changes</td>
                                <td><form:checkbox path="logdbcopy"/> Database copy</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><form:checkbox path="logconfrep"/> Config Repo</td>
                                <td></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Master Data</td>
                                <td><form:checkbox path="logmdata"/> Maintenance</td>
                                <td><form:checkbox path="logattr"/> Attribute editing</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Rules</td>
                                <td><form:checkbox path="logrulem"/> Maintenance</td>
                                <td><form:checkbox path="logrulex"/> Execution</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Reporting</td>
                                <td><form:checkbox path="logrep"/> General</td>
                                <td></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Alerting</td>
                                <td><form:checkbox path="logalert"/> General</td>
                                <td></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Plugins</td>
                                <td><form:checkbox path="logplugin"/> General</td>
                                <td></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Users</td>
                                <td><form:checkbox path="loguser"/> Maintenance</td>
                                <td><form:checkbox path="logauth"/> Authorization checks</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Miscellaneous</td>
                                <td><form:checkbox path="logstest"/> Stress test</td>
                                <td><form:checkbox path="logstestx"/> Stress test extended</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><form:checkbox path="logrest"/> RESTful API</td>
                                <td><form:checkbox path="logweb"/> Web General</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><form:checkbox path="logmin"/> Minimal runtime log</td>
                                <td><form:checkbox path="logtmp"/> Temporary (internal only)</td>
                            </tr>
                       </table>
                       
                       <table>
                            <tr>
                                <td><button type="submit">${ident.ws.wsave} and distribute</button></td>
                                <td><button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button></td>
                            </tr>
                        </table>
                    
                    </form:form>
                    
                </div>
            </div>

    </body>
</html>