<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.alert("JSP AlertTgtitemList: start")}

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Alert Target Items (Addresses)</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/regioalert/alerttgtitemlistselform/ok" />
                    <form:form action="${ok_url}" method="post" modelAttribute="ati">
                        <table><tr>
                            <td>Name:</td>
                            <td><form:input path="name"/></td>
                            <td>Item Name:</td>
                            <td><form:input path="itemname"/></td>
                            <td></td>
                        </tr><tr>
                            <td>Item Type:</td>
                            <td><form:input path="aitype"/></td>
                            <td>Value:</td>
                            <td><form:input path="value"/></td>
                            <td><button type="submit">${ident.ws.wok}</button></td>
                        </tr><tr>
                            <td colspan="5">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.alert("JSP AlertTgtitemList: check if there were target itemss selected")}
                    <c:if test="${atilist.size() > 0}">
                        ${logg.alert("JSP AlertTgtitemList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>Name</b></td>
                                <td><b>Item name</b></td>
                                <td><b>Type</b></td>
                                <td><b>Value (Adress)</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="item" items="${atilist}">
                                <tr>
                                    <td>${item.name}</td>
                                    <td>${item.itemname}</td>
                                    <td>${item.aitype}</td>
                                    <td>${item.value}</td>
                                    
                                    <td> <!-- EDIT -->
                                        <c:if test="${item.actionedit}">
                                            <form action="<c:url value = "/regioalert/tgtitemlist/edit/${ident.tourl(item.name)}/${ident.tourl(item.itemname)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${item.actiondelete}">
                                            <form action="<c:url value = "/regioalert/tgtitemlist/delete/${ident.tourl(item.name)}/${ident.tourl(item.itemname)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- COPY -->
                                        <c:if test="${item.actioncopy}">
                                            <form action="<c:url value = "/regioalert/tgtitemlist/copy/${ident.tourl(item.name)}/${ident.tourl(item.itemname)}"/>">
                                                <button type="submit">${ident.ws.wcopy}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>