<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftDbLinkSysList.jspf" %>
                </div>
                <div class="divright">
                    
                    <h2>Catchers</h2>
                    <table>
                        <c:forEach var="catcher" items="${syslinklist.catchers}">
                            <tr>
                                <td>${catcher.catcher.sysname}</td>
                                <td>${catcher.catcher.description}</td>
                                <td>${catcher.catcher.status}</td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>         
                            </tr>
                            
                            <tr>
                                <td></td>
                                <td><b>Databases</b></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td><c:if test="${catcher.canadddb}">
                                    <form action="<c:url value = "/config/dblink/dblist/rowaction/CATCHER/add/dummy/${ident.tourl(catcher.catcher.sysid)}"/>">
                                        <button type="submit">Add</button>
                                    </form>
                                </c:if></td>
                            </tr>
                            
                            <c:forEach var="db" items="${catcher.dbs}">
                                <tr>
                                    <td></td>
                                    <td>${db.dbid}</td>
                                    <td>${db.dbtype}</td>
                                    <td>${db.description}</td>
                                    <td>${db.dbstatus}</td>
                                    <td>${db.dbusage}</td>
                                    <td><c:if test="${db.canremove}">
                                        <form action="<c:url value = "/config/dblink/dblist/rowaction/CATCHER/remove/${ident.tourl(db.dbid)}/${ident.tourl(catcher.catcher.sysid)}"/>">
                                            <button type="submit">Remove</button>
                                        </form>
                                    </c:if></td>
                                </tr>
                            </c:forEach>
                            
                        </c:forEach>
                    </table>
                    
                    <h2>Store Types</h2>
                    <table>
                        <c:forEach var="storetype" items="${syslinklist.storetypes}">
                            <tr>
                                <td>${storetype.storetype.storetype}</td>
                                <td>${storetype.storetype.description}</td>
                                <td>${storetype.storetype.status}</td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>         
                            </tr>
                            
                            <tr>
                                <td></td>
                                <td><b>Databases</b></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td><c:if test="${storetype.canadddb}">
                                    <form action="<c:url value = "/config/dblink/dblist/rowaction/STORE/add/dummy/${ident.tourl(storetype.storetype.storetype)}"/>">
                                        <button type="submit">Add</button>
                                    </form>
                                </c:if></td>
                            </tr>
                            
                            <c:forEach var="db" items="${storetype.dbs}">
                                <tr>
                                    <td></td>
                                    <td>${db.dbid}</td>
                                    <td>${db.dbtype}</td>
                                    <td>${db.description}</td>
                                    <td>${db.dbstatus}</td>
                                    <td>${db.dbusage}</td>
                                    <td><c:if test="${db.canremove}">
                                        <form action="<c:url value = "/config/dblink/dblist/rowaction/STORE/remove/${ident.tourl(db.dbid)}/${ident.tourl(storetype.storetype.storetype)}"/>">
                                            <button type="submit">Remove</button>
                                        </form>
                                    </c:if></td>
                                </tr>
                            </c:forEach>
                            
                        </c:forEach>
                    </table>
                    
                    
                </div>
            </div>

    </body>
</html>