<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.rep("JSP ReportingSelectPots: start")}

            <div class="divcont">
                <div class="divleft">
                     <%@ include file="/WEB-INF/jsp/view/reporter/jspf/LeftReportingSelectPots.jspf" %>
                </div>
                <div class="divright">

                    <h2>Select Pots</h2>
                    <br />
                    
                    <c:url var="go_url"  value="/reportingpot/doselection" />
                    <form:form action="${go_url}" method="post" modelAttribute="repselpots">
                        <table>
                    
                            <tr>
                                <td class="tdlabel">Store type:</td>
                                <td>
                                    <form:select path="storetype">
                                        <form:options items = "${stlist}" />
                                    </form:select>
                                </td><td></td><td></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Pot type like:</td>
                                <td><form:input path="pottype"/></td>
                                <td></td><td>(joker: * or %)</td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel">Match:</td><td class="tdlabel">Key like:</td><td></td><td class="tdlabel">Value like:</td>
                            </tr>
                            <tr>
                                <td class="tdlabel"></td><td class="tdlabel">joker * or % OK</td><td></td><td class="tdlabel">Fill both key AND value!</td>
                            </tr>
                            <tr>
                                <td class="tdlabel">Any</td>
                                <td><form:input path="matchkeyany"/></td>
                                <td></td>
                                <td><form:input path="matchvalany"/></td>
                            </tr>
                            <tr><td class="tdlabel">0</td><td><form:input path="matchkey0"/></td><td></td><td><form:input path="matchval0"/></td></tr>
                            <tr><td class="tdlabel">1</td><td><form:input path="matchkey1"/></td><td></td><td><form:input path="matchval1"/></td></tr>
                            <tr><td class="tdlabel">2</td><td><form:input path="matchkey2"/></td><td></td><td><form:input path="matchval2"/></td></tr>
                            <tr><td class="tdlabel">3</td><td><form:input path="matchkey3"/></td><td></td><td><form:input path="matchval3"/></td></tr>
                            <tr><td class="tdlabel tdpause">4</td><td><form:input path="matchkey4"/></td><td></td><td><form:input path="matchval4"/></td></tr>
                    
                            <tr><td class="tdlabel">Property:</td><td class="tdlabel">value like</td><td></td><td></td></tr>
                            <tr><td class="tdlabel">Any</td><td><form:input path="propany"/></td><td></td><td></td></tr>
                            <tr><td class="tdlabel">0</td><td><form:input path="prop0"/></td><td class="tdlabel">5</td><td><form:input path="prop5"/></td></tr>
                            <tr><td class="tdlabel">1</td><td><form:input path="prop1"/></td><td class="tdlabel">6</td><td><form:input path="prop6"/></td></tr>
                            <tr><td class="tdlabel">2</td><td><form:input path="prop2"/></td><td class="tdlabel">7</td><td><form:input path="prop7"/></td></tr>
                            <tr><td class="tdlabel">3</td><td><form:input path="prop3"/></td><td class="tdlabel">8</td><td><form:input path="prop8"/></td></tr>
                            <tr><td class="tdlabel tdpause">4</td><td><form:input path="prop4"/></td><td class="tdlabel">9</td><td><form:input path="prop9"/></td></tr>
                            
                            <tr><td class="tdlabel tdpause">Attribute:</td><td class="tdlabel">Field (exact, obligatory)</td><td></td><td>Value (exact, obligatory)</td></tr>        
                            <tr><td class="tdlabel"></td><td><form:input path="attrkey"/></td><td></td><td><form:input path="attrval"/></td></tr>
                            
                            <tr><td class="tdlabel">Created:</td><td><form:input path="createdfrom"/></td><td>to</td><td><form:input path="createdto"/></td></tr>
                            <tr><td class="tdlabel tdpause">Modified:</td><td><form:input path="modifiedfrom"/>to</td><td></td><td><form:input path="modifiedto"/></td></tr>
                            
                            <tr><td class="tdlabel">Status:</td><td><form:checkbox path="statusactive"/> Active</td><td></td><td></td></tr>
                            <tr><td></td><td><form:checkbox path="statuspaused"/> Paused</td><td></td><td></td></tr>
                            <tr><td></td><td><form:checkbox path="statusinactive"/> Inactive</td><td></td><td></td></tr>
                            <tr><td class="tdlabel tdpause"></td><td><form:checkbox path="statusdeleted"/> Deleted</td><td></td><td></td></tr>
                            
                            <tr>
                                <td class="tdlabel tdpause">Report format:</td>
                                <td>
                                    <form:select path="plugin">
                                        <form:options items = "${pplist}" />
                                    </form:select>
                                </td><td></td><td></td>
                            </tr>
                            
                        </table>
                        <button type="submit">${ident.ws.wsubmit}</button>
                    </form:form>
                    
                </div>
            </div>

    </body>
</html>